> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an account.

> Update the properties of an account. Only certain properties may be changed with this API.

## OpenAPI

````json PATCH /v1/accounts/{account-id}
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/accounts/{account-id}": {
      "patch": {
        "tags": [
          "Accounts"
        ],
        "summary": "Update an account.",
        "description": "Update the properties of an account. Only certain properties may be changed with this API.",
        "parameters": [
          {
            "$ref": "#/parameters/AccountId"
          },
          {
            "$ref": "#/parameters/AccountUpdateRequest"
          }
        ],
        "operationId": "updateAccount",
        "x-auth-resource": "Manager, UserAuth",
        "responses": {
          "200": {
            "description": "Updated account.",
            "schema": {
              "$ref": "#/definitions/Account"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

